#pragma once

#include "WorldUpdate.h"

class EntityRemovedUpdateType : WorldUpdateType
{
    REGISTRABLE(EntityRemovedUpdateType)

protected:
    EntityRemovedUpdateType();
    void applyUpdate(Framework::StreamReader* zReader) override;
};

REGISTER(EntityRemovedUpdateType, WorldUpdateType)